linux-ec2: 2.6.32-345.47 -proposed tracker

Bug #968780 reported by Brad Figg on 2012-03-30
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Stefan Bader
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-345.47 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 30. March 2012 01:47 UTC
kernel-stable-Certification-testing-end:Friday, 30. March 2012 02:01 UTC
kernel-stable-Prepare-package-end:Friday, 30. March 2012 16:16 UTC
kernel-stable-Promote-to-proposed-start:Friday, 30. March 2012 16:16 UTC
kernel-stable-Promote-to-proposed-end:Monday, 02. April 2012 09:01 UTC
kernel-stable-Verification-testing-start:Monday, 02. April 2012 11:33 UTC
kernel-stable-Security-signoff-start:Monday, 16. April 2012 19:01 UTC
kernel-stable-Verification-testing-end:Monday, 16. April 2012 19:01 UTC
kernel-stable-Regression-testing-start:Monday, 16. April 2012 19:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 17. April 2012 21:15 UTC
kernel-stable-Promote-to-updates-start:Friday, 20. April 2012 19:30 UTC
kernel-stable-Security-signoff-end:Friday, 20. April 2012 19:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 23. April 2012 05:30 UTC
kernel-stable-Promote-to-updates-end:Monday, 23. April 2012 05:30 UTC

This tracking bug was opened to be worked from linux-2.6.32-41.88 update (bug 966443)

tags: added: kernel-release-tracking-bug
Changed in linux-ec2 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-03-30
description: updated
Stefan Bader (smb) on 2012-03-30
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-345.47 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2012-04-02
Changed in linux-ec2 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-04-02
description: updated
Brad Figg (brad-figg) on 2012-04-02
description: updated
Herton R. Krzesinski (herton) wrote :

All bugs with SRUs verified.

Brad Figg (brad-figg) on 2012-04-16
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-04-17
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-04-20
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package linux-ec2 - 2.6.32-345.47

---------------
linux-ec2 (2.6.32-345.47) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebase to Ubuntu-2.6.32-41.88
  * Release Tracking Bug
    - LP: #968780

  [ Ubuntu: 2.6.32-41.88 ]

  * [Config] restore build-% shortcut
  * SAUCE: ubuntu drivers: use UMH_WAIT_PROC consistently
    - LP: #963685
  * Revert "Revert "USB: xhci - fix unsafe macro definitions""
    - LP: #948139
  * Revert "Revert "USB: xhci - fix math in xhci_get_endpoint_interval()""
    - LP: #948139
  * Revert "Revert "xhci: Fix full speed bInterval encoding.""
    - LP: #948139
  * bsg: fix sysfs link remove warning
    - LP: #946928
  * hwmon: (f75375s) Fix bit shifting in f75375_write16
    - LP: #948139
  * lib: proportion: lower PROP_MAX_SHIFT to 32 on 64-bit kernel
    - LP: #948139
  * relay: prevent integer overflow in relay_open()
    - LP: #948139
  * mac80211: timeout a single frame in the rx reorder buffer
    - LP: #948139
  * kernel.h: fix wrong usage of __ratelimit()
    - LP: #948139
  * printk_ratelimited(): fix uninitialized spinlock
    - LP: #948139
  * hwmon: (f75375s) Fix automatic pwm mode setting for F75373 & F75375
    - LP: #948139
  * crypto: sha512 - Use binary and instead of modulus
    - LP: #948139
  * crypto: sha512 - Avoid stack bloat on i386
    - LP: #948139
  * crypto: sha512 - use standard ror64()
    - LP: #948139
  * SCSI: 3w-9xxx fix bug in sgl loading
    - LP: #948139
  * ARM: 7321/1: cache-v7: Disable preemption when reading CCSIDR
    - LP: #948139
  * ARM: 7325/1: fix v7 boot with lockdep enabled
    - LP: #948139
  * USB: Added Kamstrup VID/PIDs to cp210x serial driver.
    - LP: #948139
  * USB: Fix handoff when BIOS disables host PCI device.
    - LP: #948139
  * xhci: Fix encoding for HS bulk/control NAK rate.
    - LP: #948139
  * hdpvr: fix race conditon during start of streaming
    - LP: #948139
  * cdrom: use copy_to_user() without the underscores
    - LP: #948139
  * autofs: work around unhappy compat problem on x86-64
    - LP: #948139
  * Fix autofs compile without CONFIG_COMPAT
    - LP: #948139
  * compat: fix compile breakage on s390
    - LP: #948139
  * PM: Print a warning if firmware is requested when tasks are frozen
    - LP: #948139
  * firmware loader: allow builtin firmware load even if usermodehelper is
    disabled
    - LP: #948139
  * PM / Sleep: Fix freezer failures due to racy
    usermodehelper_is_disabled()
    - LP: #948139
  * PM / Sleep: Fix read_unlock_usermodehelper() call.
    - LP: #948139
  * Linux 2.6.32.58
    - LP: #948139
  * regset: Prevent null pointer reference on readonly regsets
    - LP: #949905
    - CVE-2012-1097
  * regset: Return -EFAULT, not -EIO, on host-side memory fault
    - LP: #949905
    - CVE-2012-1097
  * KVM: Remove ability to assign a device without iommu support
    - LP: #897812
    - CVE-2011-4347
  * eCryptfs: Copy up lower inode attrs after setting lower xattr
  * eCryptfs: Improve statfs reporting
    - LP: #885744
  * drm/i915: no lvds quirk for AOpen MP45
    - LP: #955078
  * drm/radeon/kms: fix MSI re-arm on rv370+
    - LP: #955078
  * Linux 2.6.32.58+drm33.24
    - LP: #955078
  * ...

Read more...

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers